package ru.dbotthepony.mc.otm.menu.slot;

import net.minecraft.world.Container;
import net.minecraft.world.inventory.Slot;
import net.minecraft.world.item.ItemStack;
import net.minecraftforge.common.util.LazyOptional;
import net.minecraftforge.energy.CapabilityEnergy;
import net.minecraftforge.energy.IEnergyStorage;

public class BatterySlot extends Slot {
	public BatterySlot(Container container, int index, int x, int y) {
		super(container, index, x, y);
	}

	@Override
	public boolean mayPlace(ItemStack stack) {
		LazyOptional<IEnergyStorage> capability = stack.getCapability(CapabilityEnergy.ENERGY);
		return capability.isPresent() && capability.resolve().get().canExtract();
	}
}
